#!/bin/bash
# This script has been written to support both KDE and GNOME screenshot tools in compiz
#
# (c)-left 2007, Trevio (3v1n0)

TAKE_SCREENSHOT="" # define here an alternate software
TAKE_SCREENSHOT_window_option="" # define here the option to grab only a window

# EXAMPLE
#TAKE_SCREENSHOT="gnome-screenshot"
#TAKE_SCREENSHOT_window_option="--window"

if [ -z "$TAKE_SCREENSHOT" ]; then
	if pidof "kded" &> /dev/null; then
		TAKE_SCREENSHOT="$(which ksnapshot)"
		TAKE_SCREENSHOT_window_option="--current"
	elif pidof "gnome-settings-daemon" &> /dev/null; then
		TAKE_SCREENSHOT="$(which gnome-screenshot)"
		TAKE_SCREENSHOT_window_option="--window"
	fi
fi


if [ -z "$TAKE_SCREENSHOT" ]; then
	echo "You should define a screenshot taker software in this script ($0), or installing ksnapshot, or gnome-screenshot"
else
	if ( [ "$1" = "window" ] && [ -n "$TAKE_SCREENSHOT_window_option" ] ); then
		$TAKE_SCREENSHOT $TAKE_SCREENSHOT_window_option
	else
		$TAKE_SCREENSHOT
	fi
fi
